Skip Menu |
 

This queue is for tickets about the JSON-RPC CPAN distribution.

Report information
The Basics
Id: 80528
Status: new
Priority: 0/
Queue: JSON-RPC

People
Owner: Nobody in particular
Requestors: mixmaster [...] remailer.privacy.at
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: newer dist problem
Date: Wed, 31 Oct 2012 17:33:24 +0100 (CET)
To: bug-JSON-RPC [...] rt.cpan.org
From: "Anonymous Remailer (austria)" <mixmaster [...] remailer.privacy.at>
Download (untitled) / with headers
text/plain 565b
There are two CPAN modules which depend on JSON::RPC::Client: https://metacpan.org/requires/module/JSON::RPC::Client But that is only provided by JSON-RPC version 0.96. So installing Finance::Bitcoin results in JSON-RPC-0.96 being installed, but then cpan-outdated will always show it as outdated because the newer version is 1.03. But because 1.03 renamed the client to JSON::RPC::Legacy::Client and because it the Makefile.PL requires a prompt, doing the standard "cpanm JSON::RPC" will fail and "cpan-outdated | cpanm" will ALWAYS result in a failed attempt.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.